<?php

namespace Shqawe\ForumJump\XF\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;


class FjEntity extends Entity
{
	 
	
	public static function getStructure(Structure $structure)
	{
		$options = \XF::options();
		$structure->table = 'xf_forumjump';
		$structure->shortName = 'Shqawe\ForumJump\XF:FjEntity';
		$structure->primaryKey = 'fj_id';
		$structure->columns = [
			'fj_id' => ['type' => self::UINT, 'autoIncrement' => true],		
			'fj_link_title' => ['type' => self::STR, 'required' => 'please_enter_link_title'],			
			'fj_link_url' => ['type' => self::STR, 'required' => 'please_enter_link_url'],			
			'fj_link_type' => ['type' => self::UINT ],
			'fj_link_act' => ['type' => self::UINT ]
		];
		$structure->getters = [];
		$structure->relations = [];
		
		
		return $structure;
	}
	
     
    
}